---
title: Community
linkTitle: Community
---

Since 2009, the Redis open source project has inspired an enthusiastic and active community of users and contributors. We continue to be committed to fostering an open, welcoming, diverse, inclusive, and healthy community.

## Code of Conduct

Redis has adopted the [Contributor Covenant Code of Conduct](https://github.com/redis/redis/blob/unstable/CODE_OF_CONDUCT.md).

## Getting help

### Discord server

On the [Redis Discord server](https://discord.gg/redis), you can chat with members of the Redis community in real time. You'll meet Redis users, contributors, and developer advocates. This is a great place to stop in for quick questions or to share your latest Redis discoveries.

### Mailing list

Join the [Redis mailing list](https://groups.google.com/g/redis-db) to discuss the ongoing development of Redis and to find out about new Redis releases.

### Stack Overflow

Have a question about Redis? Search the [Stack Overflow Redis tag](https://stackoverflow.com/questions/tagged/redis) for answers, or post a question of your own.

## Redis news

For occasional updates on the new Redis releases, you can either [subscribe to the Redis mailing list](https://groups.google.com/g/redis-db) or [follow the Redis News Feed Twitter account](https://twitter.com/redisfeed).

To keep up with the latest from Redis Inc., including news on Redis Cloud and Redis Stack, consider [following the Redis Twitter feed](https://twitter.com/redisinc).

## Project governance

Redis has adopted a [light governance model](/docs/about/governance) led by individuals who have made significant contributions to Redis and demonstrated a long-term commitment to the project.

Learn more about the project's governance and the Redis Core Team on the [Redis governance page](/docs/about/governance).

## Conferences and meetups

Redis regularly sponsors conferences and meetups. Recent conferences include:

* [Redis Days 2022](https://redis.com/redisdays/)

* [RedisConf 2021](https://redis.com/redisconf/)

* [RedisConf 2020](https://www.youtube.com/c/Redisinc/playlists?view=50&sort=dd&shelf_id=4)

If you're looking for a Redis meetup, check out [Redis Live](https://meetups.redis.com/redis-live/). This virtual, online meetup gets together each month to highlight members of the Redis community. 

## Contributing to Redis

There are many ways to contribute to Redis, starting with documentation all the way to changes to the open source Redis server. Here are a few ways you can get involved.

### Contributing to docs

The [Redis docs](https://github.com/redis/redis-doc) are open source, and we'd love to incorporate your contributions. For small changes and typos, we recommend creating a pull request against [redis-doc repo](https://github.com/redis/redis-doc/pulls).

### Reporting bugs

To report a bug in Redis, create a [Redis Github issue](https://github.com/redis/redis/issues).

For larger doc changes, we ask that you first create an issue describing your proposed changes. This is a good way to get feedback in advance to increase the likelihood that your changes will be accepted.

### Client libraries

The Redis client libraries are nearly always open source and accepting of contributions. Consult the contribution guidelines for the library you're interested in.
